Bug 1268013 - kollaglue docker containers don't run on fedora 22
kollaglue docker containers don't run on fedora 22
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: Setup.Core (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-4.0.0-alpha
: ---
Assigned To: Simone Tiraboschi
Pavel Stehlik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 10:51 EDT by Simone Tiraboschi
Modified: 2016-02-17 09:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-17 09:55:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sbonazzo: ovirt‑4.0.0?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Simone Tiraboschi 2015-10-01 10:51:53 EDT
Description of problem:

kollaglue docker containers don't run on fedora 22 while our setup try to deploy them:

Fedora: Kolla will not run on Fedora 22 or later currently. Fedora 22 compresses kernel modules with the .xz compressed format. The guestfs system in the CentOS family of containers cannot read these images because a dependent package supermin in CentOS needs to be updated to add .xz compressed format support.

from: https://github.com/openstack/kolla/blob/master/doc/dev-quickstart.rst

Version-Release number of selected component (if applicable):
oVirt 3.6

How reproducible:
100%

Steps to Reproduce:
1. yum install ovirt-engine-setup-plugin-dockerc on fedora22
2. engine-setup
3.

Actual results:


Expected results:


Additional info:
Comment 1 Sandro Bonazzola 2016-02-17 09:55:15 EST
Fedora 22 won't be supported by 4.0, it will go EOL before GA.
Please reopen if you're able to reproduce on F23 or F24.

Note You need to log in before you can comment on or make changes to this bug.